local colorToUse = cRed
return Def.ActorFrame {
	LoadActor( THEME:GetPathS("", "_cancel") ) .. {
		StartTransitioningCommand=cmd(play);
	};
	Def.ActorFrame {
	 InitCommand=cmd(Center);
		-- BG Killer
		Def.Quad {
			InitCommand=cmd(vertalign,bottom;y,(-110/2)+8;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT);
			OnCommand=cmd(diffuse,DarkColor(colorToUse);diffusealpha,0.5;addy,-32;decelerate,0.5;addy,32;diffusealpha,1;diffusetopedge,DarkColor(DarkColor(colorToUse)));
		};
		Def.Quad {
			InitCommand=cmd(vertalign,top;y,(110/2)+8;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT);
			OnCommand=cmd(diffuse,DarkColor(colorToUse);diffusealpha,0.5;addy,32;decelerate,0.5;addy,-32;diffusealpha,1;diffusebottomedge,DarkColor(DarkColor(colorToUse)));
		};
		-- Inside BG Killer
		Def.Quad {
			InitCommand=cmd(zoomto,SCREEN_WIDTH,(220/2);y,8);
			OnCommand=cmd(diffuse,colorToUse;zoomtoheight,(220/2)+(196/4);diffusealpha,0;linear,0.5;diffusealpha,1;zoomtoheight,(220/2);;linear,0.2;diffuse,0,0,0,1);
		};
		-- Swipes
		LoadActor( THEME:GetPathG("_logo", "normal/under") ) .. {
			InitCommand=cmd(diffuse,colorToUse;zoomtowidth,SCREEN_WIDTH);
			OnCommand=cmd(zoomtoheight,220+196;diffuse,1,1,1,1;decelerate,0.5;zoomtoheight,220;diffuse,colorToUse);
		};
		LoadActor( THEME:GetPathG("_dynamic","footer/seperator") ) .. {
			InitCommand=cmd(zoomtowidth,SCREEN_WIDTH;y,(-110/2)+8);
			OnCommand=cmd(addy,-32;decelerate,0.5;addy,32);
		};
		LoadActor( THEME:GetPathG("_dynamic","footer/seperator") ) .. {
			InitCommand=cmd(zoomtowidth,SCREEN_WIDTH;y,(110/2)+8);
			OnCommand=cmd(addy,32;decelerate,0.5;addy,-32);
		};
		-- Text
		LoadFont("_regra black 50px") .. {
			Text="INPUT CANCELED";
			InitCommand=cmd(shadowlength,1;NoStroke;diffusebottomedge,0.8,0.8,0.8,1);
			OnCommand=cmd(diffusealpha,0;zoom,1;zoomx,1.2;spring,0.5;diffusealpha,1;zoom,0.75);
		};
		LoadFont("Common Normal") .. {
			Text="Returning Home...";
			InitCommand=cmd(y,25;shadowlength,1;NoStroke;diffusebottomedge,0.8,0.8,0.8,1);
			OnCommand=cmd(diffusealpha,0;zoom,1;zoomx,1.2;spring,0.5;diffusealpha,1;zoom,0.75);
		};
		-- Fadeout Quad
		Def.Quad {
			InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;diffuse,0,0,0,1;diffusealpha,0);
			OnCommand=cmd(sleep,0.5;linear,0.3;diffusealpha,1);
		};
	};
};
